QGIS Application - Feature request #16921
Composer Scale Bar needs more unit selections
2017-07-23 08:42 PM - Brian Wilson

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 24820
Description

The current units are Map units|Meters|Feet|Nautical Miles

It needs to have "kilometers" and "miles".
Trying to use with a "label unit multiplier" results in useless garbage numbers (see screenshot).

Associated revisions

Revision af59¢535 - 2017-11-24 01:24 AM - Nyall Dawson

[layouts] Add more unit choices to scalebars

Explicitly add options for kilometers, miles, etc as the current
UX for setting these is too confusing!

Fixes #16921

History

#1 - 2017-07-24 01:35 PM - Giovanni Manghi
- Status changed from Open to Feedback

Sure you are doing it right? please show how the options are set for the scalebar.

#2 - 2017-07-24 05:26 PM - Mario Reyes

Brian Wilson wrote:

The current units are Map units|Meters|Feet|Nautical Miles

It needs to have "kilometers" and "miles".

Trying to use with a "label unit multiplier" results in useless garbage numbers (see screenshot).

| agree it would be useful for a novice user be able to select the scale bar units in kilometers, although there is a workaround for this issue using a multiplier
of 1,000.

#3 - 2017-07-25 12:47 AM - Nyall Dawson
- Status changed from Feedback to Open
Agreed - the extra units should be added to make things easier for users. I'll tackle this as part of the layouts rewrite.

#4 - 2017-12-01 03:43 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|af59¢535a99f7b015f904acc620fcd8ffd6128f4.

#5 - 2017-12-02 06:28 PM - Giovanni Manghi

- Resolution set to fixed/implemented
